=== scripts/CMakeLists.txt ===
install(PROGRAMS ompl_benchmark_statistics.py DESTINATION bin)
