=== debian/changelog ===
ompl (0.13.0+git20130920.01d0ca4-1) unstable; urgency=low

  * Add a missing line in the clean part of the rules file.
  * Change compat to 9.
  * Change Standards to 3.9.4.
  * Added dpkg depends to avoid lintian message.
  * Modified description field in control.
  * Deleted Pre-Depends. Not needed, old lintian version.
  * First version in debian (Closes: #706133).
  * Reformat changelog entries.
  * Unblock #72464.

  Previous work:
  (-c3 03 Oct 2013 09:26:57 +0200)
  * Added python-matplotlib as dependency of ompl-demos.

  (-b2 26 Sep 2013 13:23:04 +0200)
  * Removing the python binding. 

  (-a1 21 Sep 2013 15:12:02 +0200) 
  * New upstream version.
  * Using the ompl source instead the omplapp complete suite. First
    packaging.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 04 Nov 2013 09:33:48 +0100

ompl (0.12.2-Source-1) UNRELEASED; urgency=low

  * Initial release.  

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 08 Apr 2013 17:34:13 +0200
