=== debian/control ===
Source: ompl
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               curl,
               libboost-date-time-dev (>= 1.50.0),
               libboost-thread-dev (>= 1.50.0),
               libboost-serialization-dev (>= 1.50.0),
               libboost-filesystem-dev (>= 1.50.0),
               libboost-system-dev (>= 1.50.0),
               libboost-program-options-dev (>= 1.50.0),
               libboost-test-dev (>= 1.50.0),
               libflann-dev (>= 1.8.3)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ompl.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ompl.git
Homepage: http://ompl.kavrakilab.org

Package: libompl-dev
Architecture: any
Section: libdevel
Depends: libompl7 (= ${binary:Version}),
         pkg-config,
         ${shlibs:Depends},
         ${misc:Depends},
         libboost-dev
Description: OMPL library development files
 Consists of a set of sampling-based motion planning 
 algorithms. The content of the library is limited to these algorithms,
 which means there is no environment specification, no collision 
 detection or visualization. The library is designed so it can be easily 
 integrated into systems that provide the additional needed components. This
 package contains the needed developtment files to use the library.

Package: libompl7
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Sampling-based motion planning library 
 Consists of a set of sampling-based motion planning 
 algorithms. The content of the library is limited to these algorithms,
 which means there is no environment specification, no collision 
 detection or visualization. The library is designed so it can be easily 
 integrated into systems that provide the additional needed components. This
 package contains the library itself.

Package: ompl-demos
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python,
         python-matplotlib,
         libompl-dev
Description: OMPL library demos
 Consists of a set of sampling-based motion planning 
 algorithms. The content of the library is limited to these algorithms,
 which means there is no environment specification, no collision 
 detection or visualization. The library is designed so it can be easily 
 integrated into systems that provide the additional needed components. This
 package contains a set of demos of the library.
