## ompl 0.14.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
                libboost-system-dev (>= 1.50.0),
                libboost-program-options-dev (>= 1.50.0),
                libboost-test-dev (>= 1.50.0),
+	       libode-dev,
                libflann-dev (>= 1.8.3)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ompl.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/ompl.git
 Homepage: http://ompl.kavrakilab.org
@@ -22,11 +23,12 @@
 Package: libompl-dev
 Architecture: any
 Section: libdevel
-Depends: libompl7 (= ${binary:Version}),
+Depends: libompl9 (= ${binary:Version}),
          pkg-config,
          ${shlibs:Depends},
          ${misc:Depends},
-         libboost-dev
+	 libboost-dev
+Suggests: libode-dev
 Description: OMPL library development files
  Consists of a set of sampling-based motion planning 
  algorithms. The content of the library is limited to these algorithms,
@@ -35,7 +37,7 @@
  integrated into systems that provide the additional needed components. This
  package contains the needed developtment files to use the library.
 
-Package: libompl7
+Package: libompl9
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -62,3 +64,18 @@
  integrated into systems that provide the additional needed components. This
  package contains a set of demos of the library.
 
+Package: libompl9-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+	 libompl9 (= ${binary:Version}),
+	 libompl-dev
+Description: Sampling-based motion planning library debug symbols
+ Consists of a set of sampling-based motion planning 
+ algorithms. The content of the library is limited to these algorithms,
+ which means there is no environment specification, no collision 
+ detection or visualization. The library is designed so it can be easily 
+ integrated into systems that provide the additional needed components. This
+ package contains the debug symbols of the library.
