=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 # These don't need to be exported and if they are we'll get the flags
 # duplicated in the command line.
-unexport CFLAGS  
-unexport CXXFLAGS
-unexport LDFLAGS
+#unexport CFLAGS  
+#unexport CXXFLAGS
+#unexport LDFLAGS
 
 CMAKE_FLAGS = \
         -DCMAKE_INSTALL_PREFIX=/usr \
@@ -25,9 +25,9 @@
         -DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
         -DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)" \
         -DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
-        -DCMAKE_BUILD_TYPE=Release      \
+        -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 	-DCMAKE_SKIP_INSTALL_RPATH=TRUE \
-	-DOMPL_ODESOLVER=OFF \
+	-DOMPL_ODESOLVER=ON \
         -DOMPL_REGISTRATION=OFF \
 	-DOMPL_BUILD_PYBINDINGS=ON \
 	-DOMPL_BUILD_PYTESTS=OFF
@@ -69,9 +69,15 @@
 
 override_dh_install:
 	mv debian/tmp/usr/bin/ompl_benchmark_statistics.py debian/tmp/usr/bin/ompl_benchmark_statistics
+	mkdir -p debian/tmp/usr/share/doc/libompl9-dbg && cp debian/README.Debug debian/tmp/usr/share/doc/libompl9-dbg/
+
 	dh_install --list-missing
 
 override_dh_auto_test:
 	echo "Supressing upstream tests"
 
+override_dh_strip:
+	dh_strip --dbg-package=libompl9-dbg
 
+
+
