=== debian/changelog ===
ompl (0.14.2+dfsg-1) unstable; urgency=low

  * New upstream version. Repacked dfsg
  * Added licenses to copyright (Closes: #741603).
  * Added README.Debug to debug package.
  * Deleted patches, not needed.
  * Added libode-dev to compile extensions. And suggested 
    in the Suggests field.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 26 May 2014 10:02:58 +0200

ompl (0.14.1-1) unstable; urgency=low

  * Added debug version of the library.
  * New upstream version.
  * Bump to soname 9.
  * Upgraded to standards 3.9.5.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 13 Jan 2014 10:15:46 +0100
