=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
opts=dversionmangle=s/\.dfsg// \
https://bitbucket.org/ompl/ompl/downloads/ompl-(.*)\.tar.gz
