## ompl 1.0.0%2Bds2

=== py-bindings/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,9 @@
     endif(WIN32)
 
     set(OMPL_MODULES base control geometric tools util)
+    if(OMPL_EXTENSION_MORSE)
+        list(APPEND OMPL_MODULES morse)
+    endif()
 
     if(PY_OMPL_GENERATE)
         # need to run cmake to regenerate ompl/bindings_generator.py if
@@ -29,7 +32,10 @@
         add_dependencies(update_control_bindings update_geometric_bindings)
         add_dependencies(update_control_bindings update_base_bindings)
         add_dependencies(update_tools_bindings update_control_bindings)
-
+        if(OMPL_EXTENSION_MORSE)
+            add_dependencies(update_morse_bindings update_base_bindings)
+            add_dependencies(update_morse_bindings update_control_bindings)
+        endif()
     endif(PY_OMPL_GENERATE)
 
     if(PY_OMPL_COMPILE AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/bindings")
@@ -38,7 +44,36 @@
         endforeach(module)
 
         install(DIRECTORY ompl DESTINATION "${OMPL_PYTHON_INSTALL_DIR}"
-            PATTERN .svn EXCLUDE PATTERN "*.pyc" EXCLUDE PATTERN "_*.so" EXCLUDE)
+            COMPONENT python
+            PATTERN "*.pyc" EXCLUDE
+            PATTERN "__pycache__" EXCLUDE
+            PATTERN "_*.so" EXCLUDE
+            PATTERN "app" EXCLUDE
+            PATTERN "morse" EXCLUDE)
+        # put app submodule in omplapp component
+        if(OMPLAPP_VERSION)
+            install(DIRECTORY ompl/app
+                DESTINATION "${OMPL_PYTHON_INSTALL_DIR}/ompl"
+                COMPONENT omplapp
+                PATTERN "*.pyc" EXCLUDE
+                PATTERN "__pycache__" EXCLUDE
+                PATTERN "_*.so" EXCLUDE)
+        endif()
+        # put morse submodule in morse component
+        if(OMPL_EXTENSION_MORSE)
+            install(DIRECTORY ompl/morse
+                DESTINATION "${OMPL_PYTHON_INSTALL_DIR}/ompl"
+                COMPONENT morse
+                PATTERN "*.pyc" EXCLUDE
+                PATTERN "__pycache__" EXCLUDE
+                PATTERN "_*.so" EXCLUDE
+                PATTERN "addons" EXCLUDE)
+            # blender add-on
+            install(DIRECTORY ompl/morse/addons
+                DESTINATION "share/ompl${OMPL_INSTALL_SUFFIX}"
+                COMPONENT morse
+                PATTERN "*.pyc" EXCLUDE)
+        endif()
     endif()
 
 endif(OMPL_BUILD_PYBINDINGS)
